Bug 220599 - udev.i - nash-hotplug needs to be killed before udev starts
udev.i - nash-hotplug needs to be killed before udev starts
Product: Fedora
Classification: Fedora
Component: initng-ifiles (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Malmgren
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-12-22 08:55 EST by Jason Farrell
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-29 07:36:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Farrell 2006-12-22 08:55:09 EST
Description of problem:
nash-hotplug is still running after bootup, using 100% CPU.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. boot with initng
Actual results:
nash-hotplug still running

Expected results:
nash-hotplug killed

Additional info:

nash-hotplug needs to be killed right before udev starts.
note this comment: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=185429#c2

and this is how it's done in sysv /etc/rc.sysinit:

nashpid=$(pidof nash 2>/dev/null)
[ -n "$nashpid" ] && kill $nashpid >/dev/null 2>&1
unset nashpid
Comment 1 Daniel Malmgren 2006-12-29 07:36:50 EST
Thanks for your report. I discovered this as well a while ago, so this is
already fixed in svn, the nash process is killed in system/bootmisc.

Note You need to log in before you can comment on or make changes to this bug.